# AstroJS for Blog
[![Image](https://build.s.k8s.astropenguin.net/api/v1/teams/main/pipelines/astrojs/badge)](https://build.s.k8s.astropenguin.net/teams/main/pipelines/astrojs)

The current backend Js/Css services for [my blog](https://blog.astropenguin.net)

### Try it - Docker for windows (using windows container with nanoserver)
- docker -f windows/docker-compose.yml build
- docker -f windows/docker-compose.yml up

### Features
- Compressable by Closure Compiler (Advanced Compression)
- Python-like, class oriented syntax structure
- Everything is merged into one file for that page
- css class inheritance

### Documentation
- Will be added later

### Prerequisties
- python3
- virtualenv ( optional )
- pip install Flask
- pip install Celery
- pip install redis
- pip install compressinja
